
# UniBench Test Data for Detection of Inclusion Dependencies


The following figure shows the UML diagram of the test data (the different colors of the attributes represent the inclusion dependencies):

![UML diagram of the Unibench testdata](doc/test_data_diagram.png)

The data is already imported into the databases which are provided as docker images.
There are also data sets in different sizes available. 
The data sets are available in the following sizes:


| Scale Factor | Person/Customer | Order | Vendor | Post  | Tag | Feedback |
|--------------|-----------------|-------|--------|-------|-----| -------- |
| 0.0          | 4               | 8     | 66     | 8     | 8   | ~16      |
| 0.01         | 99              | 1422  | 66     | 12319 | 90  | ~2844    |
| 0.1          | 994             | 14225 | 66     | 123199| 909 | ~28450   |



For example, to start the databases with a scale factor of 0.01, run the following command:
```bash
DATA_SIZE=0.01 docker compose up -d
```


The following table shows the default credentials for the databases:

| Database | Username | Password      | Database Name |
|----------|----------|---------------|---------------|
| MySQL    | root     | root          | unibench      |
| Postgres | postgres | root          | unibench      |
| MongoDB  | -        | -             | unibench      |
| Neo4j    | neo4j    | neo4jpassword | neo4j         |



The data sets can also be downloaded from the following link:
[Download UniBench Test Data](https://fernuni-hagen.sciebo.de/s/W6H81t5kl56zT0a)



The following uml diagram shows the schema of the databases after the data import:

![UML diagram of the Unibench testdata after import](doc/test_data_diagram_dbs.png)



## Data Generator

The data generator is written in Python and uses the Faker library to generate the data.

### Installation

Change to the data-generator directory
```bash
cd data-generator
```

Setup the venv
```bash
python -m venv venv
```

Activate the venv
```bash
source venv/bin/activate
```

Install the requirements
```bash
pip install -r requirements.txt
```

### Usage

To only generate the data run the data generator with the required scale factor and `-g` flag:
```bash
./run.sh -s 0.01 -g
```

To import the data into the databases and also build the docker images, run the data generator with the following command:
```bash
./run.sh -s 0.01 -l mongodb,neo4j,mysql,postgres -i -b
```
